import { KeyPairOptions, DefaultKeys, Secp256k1ExtendedKeyPair } from '@bitgo-beta/sdk-core';
export declare class KeyPair extends Secp256k1ExtendedKeyPair {
    /**
     * Public constructor. By default, creates a key pair with a random master seed.
     *
     * @param { KeyPairOptions } source Either a master seed, a private key, or a public key
     */
    constructor(source?: KeyPairOptions);
    /**
     * Default keys format is a pair of Uint8Array keys
     *
     * @returns { DefaultKeys } The keys in the defined format
     */
    getKeys(): DefaultKeys;
    /** @inheritdoc */
    getAddress(): string;
}
//# sourceMappingURL=keyPair.d.ts.map